#!/bin/bash 
set -e

# skip test_development_guidelines_matches_ci because
# we're installed, so the path doesn't match development
SKIP_TESTS=test_development_guidelines_matches_ci
# failed to raise a warning.
SKIP_TESTS="$SKIP_TESTS or test_RandomState_only_funcs"
# See https://github.com/dask/dask/issues/10418
SKIP_TESTS="$SKIP_TESTS or test_division_or_partition"
# Requires unpackaged pyarrow
SKIP_TESTS="$SKIP_TESTS or test_parquet_botocore_exception"
SKIP_TESTS="$SKIP_TESTS or test_quantile_arrow_dtype"
SKIP_TESTS="$SKIP_TESTS or test_tokenize_pandas_arrow_strings"
SKIP_TESTS="$SKIP_TESTS or test_with_spec_pyarrow"

cp conftest.py "$AUTOPKGTEST_TMP"
for py in $(py3versions --supported)
do
  cd "$AUTOPKGTEST_TMP"
  echo "Testing with $py:"
  http_proxy= $py -m pytest -k "not ( ${SKIP_TESTS} )" -m "not network" -v --pyargs dask
done
